package com.xinelu.manage.mapper.patienttaskstatistics;

import com.xinelu.manage.domain.patienttaskstatistics.PatientTaskStatistics;
import com.xinelu.manage.vo.patientinfo.PatientNextTaskVo;
import java.util.List;

/**
 * 患者任务统计Mapper接口
 *
 * @author haown
 * @date 2024-08-09
 */
public interface PatientTaskStatisticsMapper {
    /**
     * 查询患者任务统计
     *
     * @param patientId 患者主键
     * @return 患者任务统计
     */
     PatientTaskStatistics selectPatientTaskStatisticsByPatientId(Long patientId);

    /**
     * 查询患者任务统计列表
     *
     * @param patientTaskStatistics 患者任务统计
     * @return 患者任务统计集合
     */
    List<PatientTaskStatistics> selectPatientTaskStatisticsList(PatientTaskStatistics patientTaskStatistics);

    /**
     * 新增患者任务统计
     *
     * @param patientTaskStatistics 患者任务统计
     * @return 结果
     */
    int insertPatientTaskStatistics(PatientTaskStatistics patientTaskStatistics);

    /**
     * 修改患者任务统计
     *
     * @param patientTaskStatistics 患者任务统计
     * @return 结果
     */
    int updatePatientTaskStatistics(PatientTaskStatistics patientTaskStatistics);

	PatientTaskStatistics selectNum(Long patientId);

	PatientNextTaskVo getPatientNextTask(Long patientId);

    /**
     * 删除患者任务统计
     *
     * @param patientId 患者主键
     * @return 结果
     */
    int deletePatientTaskStatisticsByPatientId(Long patientId);

    /**
     * 批量删除患者任务统计
     *
     * @param patientIds 需要删除的数据主键集合
     * @return 结果
     */
    int deletePatientTaskStatisticsByPatientIds(Long[] patientIds);
}
